<template>
  <div>
    <label v-if="label" for="email" class="text-secondary mt-4">
      {{ label }}
    </label>
    <b-form-input
      v-if="!withIcon"
      :placeholder="placeholder"
      :type="type"
      class="py-4 bg-light"
    />
    <div v-if="withIcon" class="d-flex align-items-center">
      <b-icon-search />
      <b-form-input
        :placeholder="placeholder"
        :type="type"
        class="form--control__custom py-3 bg-light"
      />
    </div>
  </div>
</template>

<script>
export default {
  props: {
    placeholder: {
      type: String,
      default: 'placeholder'
    },
    label: {
      type: String,
      default: ''
    },
    type: {
      type: String,
      default: ''
    },
    withIcon: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="scss" scoped>
.form-control {
  font-size: 14px;

  &::placeholder {
    font-size: 12px;
  }
}

.form--control__custom {
  position: relative;
  padding-left: 2rem;
}

.b-icon.bi {
  position: absolute;
  left: 1.5rem;
  top: 0.7rem;
  z-index: 1;
  right: 100px;
}
</style>
